## ----setup, include=FALSE-----------------------------------------------------
knitr::opts_chunk$set(echo = TRUE)

## ----eval=FALSE---------------------------------------------------------------
#  install.packages("BiocManager")
#  BiocManager::install("STexampleData")

## ----eval=FALSE---------------------------------------------------------------
#  install.packages("remotes")
#  remotes::install_github("lmweber/STexampleData", build_vignettes = TRUE)

## ----message=FALSE------------------------------------------------------------
library(SpatialExperiment)
library(STexampleData)

## ----message=FALSE------------------------------------------------------------
# load object
spe <- Visium_humanDLPFC()

# check object
spe
dim(spe)
assayNames(spe)
rowData(spe)
colData(spe)
head(spatialCoords(spe))
imgData(spe)

## ----message=FALSE------------------------------------------------------------
# load object
spe <- Visium_mouseCoronal()
# check object
spe

## ----message=FALSE------------------------------------------------------------
# load object
spe <- seqFISH_mouseEmbryo()
# check object
spe

## ----message=FALSE------------------------------------------------------------
# load object
spe <- ST_mouseOB()
# check object
spe

## ----message=FALSE------------------------------------------------------------
# load object
spe <- SlideSeqV2_mouseHPC()
# check object
spe

## ----message=FALSE------------------------------------------------------------
library(ExperimentHub)

## ----message=FALSE------------------------------------------------------------
# create ExperimentHub instance
eh <- ExperimentHub()

# query STexampleData datasets
myfiles <- query(eh, "STexampleData")
myfiles

# metadata
md <- as.data.frame(mcols(myfiles))

## ----message=FALSE------------------------------------------------------------
# load Visium_humanDLPFC dataset using ExperimentHub query
spe <- myfiles[[1]]
spe

## ----message=FALSE------------------------------------------------------------
# load Visium_humanDLPFC dataset using ExperimentHub ID
spe <- myfiles[["EH7538"]]
spe

## -----------------------------------------------------------------------------
sessionInfo()

